INSTALL.in 1.24 KB
Newer Older
1 2 3
Prerequisites
=============

Owen Taylor's avatar
Owen Taylor committed
4 5
GTK+ requires the following packages:

6
 - The GLib, Pango, and Atk libraries, available at the same location as GTK+
Owen Taylor's avatar
Owen Taylor committed
7 8
   (Either Pango-1.0 or Pango-1.2 can be used with GTK+-2.2; 
   Pango-1.2 is recommended.)
Owen Taylor's avatar
Owen Taylor committed
9 10 11 12 13 14 15 16 17 18 19 20

 - The TIFF, PNG, and JPEG image loading libraries. You most
   likely have these installed on your system already. If not
   these libraries are available from:

    http://www.libtiff.org/
    ftp://swrinde.nde.swri.edu/pub/png/src/
    ftp://ftp.uu.net/graphics/jpeg/

   If these libraries are not available, the corresponding 
   image loaders will simply not be built. However, this
   may cause applications using GTK+ not to function properly.
21 22 23 24 25 26 27 28 29 30 31

Simple install procedure
========================

  % gzip -cd gtk+-@GTK_VERSION@.tar.gz | tar xvf - # unpack the sources
  % cd gtk+-@GTK_VERSION@			   # change to the toplevel directory
  % ./configure				   # run the `configure' script
  % make				   # build GTK
  [ Become root if necessary ]
  % make install			   # install GTK

32 33
The Details
===========
34

35 36
Complete information about installing GTK+ and related libraries can be found 
in the file:
37

Matthias Clasen's avatar
Matthias Clasen committed
38
 docs/reference/gtk/html/gtk-building.html
39

40
Or online at:
41

42
 http://developer.gnome.org/doc/API/2.0/gtk/gtk-building.html
43